# Report payment attempt guaranteed Report that the most recent payment attempt on the specified Payment Record was guaranteed. ## Returns The updated Payment Record object with its most recent payment attempt guaranteed, or an error (for example, if the latest Payment Attempt Record is already guaranteed). ## Parameters - `guaranteed_at` (timestamp, required) When the reported payment was guaranteed. Measured in seconds since the Unix epoch. - `id` (string, required) The ID of the Payment Record. - `metadata` (object, optional) Set of [key-value pairs](https://docs.stripe.com/docs/api/metadata.md) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`. ```curl curl https://api.stripe.com/v1/payment_records/pr_5RV730PrHyAEi/report_payment_attempt_guaranteed \ -u "<>" \ -d guaranteed_at=1730253453 ``` ### Response ```json { "id": "pr_5RV730PrHyAEi", "object": "payment_record", "amount_canceled": { "currency": "usd", "value": 0 }, "amount_failed": { "currency": "usd", "value": 0 }, "amount_guaranteed": { "currency": "usd", "value": 1000 }, "amount_refunded": { "currency": "usd", "value": 0 }, "amount_requested": { "currency": "usd", "value": 1000 }, "created": 1730211363, "customer_details": null, "customer_presence": "on_session", "description": "computer software", "latest_payment_attempt_record": "par_1ArV730PrHyQuG", "livemode": true, "metadata": {}, "payment_method_details": { "billing_details": null, "custom": { "display_name": "newpay", "type": "cpmt_125kjj3hn3sdf" }, "payment_method": "pm_5j23kjksibjlks", "type": "custom" }, "processor_details": { "type": "custom", "custom": { "payment_reference": "npp2358872734k" } }, "shipping_details": null } ```